---
Name: proxmox/lab-drp-external-subnet
Description: "The IP Subnet that will be for DRP Endpoint External interface"
Documentation: |
  This is an IP address that **MUST BE** routable inside your organization,
  to reach the DRP Endpoints allcoated on the Hypervisor.  The Subnet will
  be added on the Hypervisor and each DRP endpoint will be provisioned with
  an IP address from this network.

  IF this method is used, you generally will have to either SSH forward to the
  Proxmox Hypervisor, install a VPN service of some sort on the Hypervisor, or
  arrange for your external Networking devices (routers/switches) to route this
  IP block to the addressable interface of the Proxmox Hypervisor.

  The default is `192.168.1.0/24`.

  If you wish to assign IP addresses to your VMs via a bridged interface on the
  Proxmox Hypervisor, **DO NOT** use this method, instead, use the Network
  configuration task named `network-simple-bridge-with-addressing`.

  The subnet must be in CIDR Notation (eg 1.2.3.0/24), and the Network address
  set in the CIDR (eg the ".0" part).  The Hypervisor will be assigned the first
  IP address in the network, and used as the Default Route for the DRP Endpoint
  Virtual Machines.

Meta:
  color: blue
  icon: database
  title: Digital Rebar Community Content
Schema:
  default: "192.168.1.0/24"
  type: string
Secure: false
